Subject: Re: [CGit] [PATCH 0/6] Communicate the repo name to the filter scripts

From: Ferry Huberts <[email-masked]>
Date: Sat, 19 Feb 2011 14:54:51 +0100

On 02/19/2011 09:46 AM, Lars Hjemli wrote:
> On Thu, Feb 17, 2011 at 22:11, Ferry Huberts <[email-masked]> wrote:
>> This patch series fixes two bugs and communicates the repo name
>> to the filter scripts.
> 
> Thanks, but I think the current filter invocations with unnamed,
> positional command arguments was a mistake. We should probably fix it
> instead of extending it, taking care not to break backwards
> compatibility.
> 
> The easiest fix would be to add some environment variables:
> * GIT_DIR
> * CGIT_REPO_NAME
> * CGIT_REPO_REL_URL
> * CGIT_REPO_ABS_URL
> * CGIT_BRANCH_NAME
> * CGIT_COMMIT_ID
> * CGIT_PATH_FILTER
> 
> What do you think?
> 
> --
> larsh

I've been thinking about this too and did think about this solution but
also about a solution in which these settings are written to a temporary
file. I have no preference as long as the repo settings are communicated
to the filter script. Writing to a file is probably bad for performance
though.

The patches I sent just plainly solve my own problem and I was hoping a
bit for this discussion :-)

Your proposal sounds reasonable and a good approach.

I'm a bit worried about the GIT_DIR env var, about it conflicting with
the real git env var. It's probably best to rename that one to CGIT_GIT_DIR.

Also, we'd have to be sure that when we set these env vars that they're
only propagated to the filter script we're going to run and not to other
envs: running filter scripts in parallel must not be prevented.

Have you looked at the first 2 patches?
These solve bugs and can be applied regardless of this discussion.

please let me know what you think.

grtz
-- 
Ferry Huberts